## php8.4 8.4.11

=== win32/build/Makefile ===
#  +----------------------------------------------------------------------+
#  | Copyright (c) The PHP Group                                          |
#  +----------------------------------------------------------------------+
#  | This source file is subject to version 3.01 of the PHP license,      |
#  | that is bundled with this package in the file LICENSE, and is        |
#  | available through the world-wide-web at the following url:           |
#  | https://www.php.net/license/3_01.txt                                 |
#  | If you did not receive a copy of the PHP license and are unable to   |
#  | obtain it through the world-wide-web, please send a note to          |
#  | license@php.net so we can mail you a copy immediately.               |
#  +----------------------------------------------------------------------+
#  | Author: Wez Furlong <wez@thebrainroom.com>                           |
#  +----------------------------------------------------------------------+
#
# This is the makefile template for the win32 build

CC="$(PHP_CL)"
LD="$(LINK)"
MC="$(MC)"
MT="$(MT)"
RE2C="$(RE2C)"
PGOMGR="$(PGOMGR)"
PHP_BUILD=$(PHP_BUILD)

!if "$(PHP_SIMD_SCALE)" == ""
SIMD_SUFFIX=
!else
!if "$(PHP_SIMD_SCALE)" == "SSE2"
SIMD_SUFFIX=
!else
SIMD_SUFFIX=-$(PHP_SIMD_SCALE)
!endif
!endif

!if "$(PKG_SUFFIX)" != ""
PKG_SUFFIX_PART=-$(PKG_SUFFIX)
!endif

MCFILE=$(BUILD_DIR)\wsyslog.rc
BUILD_DIR_DEV_NAME=php-$(PHP_VERSION_STRING)-devel-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE)$(SIMD_SUFFIX)$(PKG_SUFFIX_PART)
BUILD_DIR_DEV=$(BUILD_DIR)\$(BUILD_DIR_DEV_NAME)

DIST_ZIP_SNAP=php-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE)$(SIMD_SUFFIX)$(PKG_SUFFIX_PART).zip
DIST_ZIP_PECL=pecl-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE)$(SIMD_SUFFIX)$(PKG_SUFFIX_PART).zip
DIST_ZIP_DEV_PACK=php-devel-pack-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE)$(SIMD_SUFFIX)$(PKG_SUFFIX_PART).zip
DIST_ZIP_TEST_PACK=php-test-pack-$(PHP_VERSION_STRING)$(SIMD_SUFFIX)$(PKG_SUFFIX_PART).zip
DIST_ZIP_DEBUG_PACK=php-debug-pack-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE)$(SIMD_SUFFIX)$(PKG_SUFFIX_PART).zip

!if "$(DEBUGGER)" == "1"
DEBUGGER_CMD=devenv
DEBUGGER_ARGS=/debugexe
!else
DEBUGGER_CMD=
DEBUGGER_ARGS=
!endif

all: generated_files $(EXT_TARGETS) $(PECL_TARGETS) $(SAPI_TARGETS) test_helpers

build_dirs: $(BUILD_DIR) $(BUILD_DIRS_SUB) $(BUILD_DIR_DEV)

!if $(RE2C) == ""
generated_files: build_dirs \
	Zend\zend_ini_parser.c Zend\zend_ini_parser.h \
	Zend\zend_language_parser.c \
	sapi\phpdbg\phpdbg_parser.c \
	$(PHPDEF) $(MCFILE)
!else
generated_files: build_dirs \
	Zend\zend_ini_parser.c Zend\zend_ini_parser.h \
	Zend\zend_language_parser.c \
	Zend\zend_ini_scanner.c Zend\zend_ini_scanner_defs.h \
	Zend\zend_language_scanner.c Zend\zend_language_scanner_defs.h \
	sapi\phpdbg\phpdbg_parser.c sapi\phpdbg\phpdbg_lexer.c \
	$(PHPDEF) $(MCFILE)
!endif

$(BUILD_DIR)\$(PHPDLL).def: $(PHP_DLL_DEF_SOURCES)
	type $(PHP_DLL_DEF_SOURCES) > $(BUILD_DIR)\$(PHPDLL).def

Zend\zend_ini_parser.c Zend\zend_ini_parser.h: Zend\zend_ini_parser.y
	$(BISON) $(BISON_FLAGS) --output=Zend/zend_ini_parser.c -v -d Zend/zend_ini_parser.y

Zend\zend_language_parser.c Zend\zend_language_parser.h: Zend\zend_language_parser.y
	$(BISON) $(BISON_FLAGS) --output=Zend/zend_language_parser.c -v -d Zend/zend_language_parser.y
	@if "$(SED)" neq "" $(SED) -i "s,^int zendparse\(.*\),ZEND_API int zendparse\1,g" Zend/zend_language_parser.c
	@if "$(SED)" neq "" $(SED) -i "s,^int zendparse\(.*\),ZEND_API int zendparse\1,g" Zend/zend_language_parser.h

sapi\phpdbg\phpdbg_parser.c sapi\phpdbg\phpdbg_parser.h: sapi\phpdbg\phpdbg_parser.y
	$(BISON) $(BISON_FLAGS) --output=sapi/phpdbg/phpdbg_parser.c -v -d sapi/phpdbg/phpdbg_parser.y

!if $(RE2C) != ""
Zend\zend_ini_scanner.c Zend\zend_ini_scanner_defs.h: Zend\zend_ini_scanner.l
	$(RE2C) $(RE2C_FLAGS) --case-inverted -cbdFt Zend/zend_ini_scanner_defs.h -oZend/zend_ini_scanner.c Zend/zend_ini_scanner.l

Zend\zend_language_scanner.c Zend\zend_language_scanner_defs.h: Zend\zend_language_scanner.l
	$(RE2C) $(RE2C_FLAGS) --case-inverted -cbdFt Zend/zend_language_scanner_defs.h -oZend/zend_language_scanner.c Zend/zend_language_scanner.l

sapi\phpdbg\phpdbg_lexer.c: sapi\phpdbg\phpdbg_lexer.l
	$(RE2C) $(RE2C_FLAGS) -cbdFo sapi/phpdbg/phpdbg_lexer.c sapi/phpdbg/phpdbg_lexer.l
!endif

!if "$(ZTS)" == "1"
PHP8_PGD_SUFFIX=ts
!else
PHP8_PGD_SUFFIX=
!endif

!if $(PGOMGR) != ""
PHP8_PGD_OPTION=/PGD:$(PGOPGD_DIR)\php8$(PHP8_PGD_SUFFIX).pgd
!else
PHP8_PGD_OPTION=
!endif

PHPDLL_RES=$(BUILD_DIR)\$(PHPDLL).res

$(MCFILE): win32\build\wsyslog.mc
	$(MC) -h win32\ -r $(BUILD_DIR)\ -x $(BUILD_DIR)\ win32\build\wsyslog.mc

#	$(RC) /fo $(MCFILE) $(BUILD_DIR)\wsyslog.rc

!if $(MT) == ""
_VC_MANIFEST_EMBED_EXE=
_VC_MANIFEST_EMBED_DLL=
!else
_VC_MANIFEST_EMBED_EXE= if exist $@.manifest $(MT) -nologo -manifest $@.manifest -outputresource:$@;1
_VC_MANIFEST_EMBED_DLL= if exist $@.manifest $(MT) -nologo -manifest $@.manifest -outputresource:$@;2
!endif

$(PHPDLL_RES): win32\build\template.rc
	$(RC) /nologo /fo $(PHPDLL_RES) /d FILE_DESCRIPTION="\"PHP Script Interpreter\"" \
		/d FILE_NAME="\"$(PHPDLL)\"" /d PRODUCT_NAME="\"PHP Script Interpreter\"" \
		/I$(BUILD_DIR) /d MC_INCLUDE="\"$(MCFILE)\"" \
		win32\build\template.rc

$(BUILD_DIR)\$(PHPDLL): generated_files $(PHPDEF) $(PHP_GLOBAL_OBJS) $(STATIC_EXT_OBJS) $(PHPDLL_RES) $(ASM_OBJS) $(MCFILE)
	@copy win32\build\default.manifest $(BUILD_DIR)\$(PHPDLL).manifest >nul
#	@$(CC) $(PHP_GLOBAL_OBJS) $(STATIC_EXT_OBJS) $(STATIC_EXT_LIBS) $(LIBS) $(PHPDLL_RES) /link /out:$(BUILD_DIR)\$(PHPDLL) $(PHP8_PGD_OPTION) $(PHP_LDFLAGS) $(LDFLAGS) $(STATIC_EXT_LDFLAGS)
	@"$(LINK)" $(PHP_GLOBAL_OBJS_RESP) $(STATIC_EXT_OBJS_RESP) $(STATIC_EXT_LIBS) $(LIBS) $(ASM_OBJS) $(PHPDLL_RES) /out:$(BUILD_DIR)\$(PHPDLL) $(PHP8_PGD_OPTION) $(PHP_LDFLAGS) $(LDFLAGS) $(STATIC_EXT_LDFLAGS)
	-@$(_VC_MANIFEST_EMBED_DLL)

$(BUILD_DIR)\$(PHPLIB): $(BUILD_DIR)\$(PHPDLL)

$(BUILD_DIR) $(BUILD_DIRS_SUB) $(BUILD_DIR_DEV):
	@echo Recreating build dirs
	@if not exist $(BUILD_DIR) mkdir $(BUILD_DIR)
	@cd $(BUILD_DIR)
	@for %D in ($(BUILD_DIRS_SUB)) do @if not exist %D @mkdir %D > NUL
	@if not exist $(BUILD_DIR_DEV) @mkdir $(BUILD_DIR_DEV) > NUL
	@cd "$(PHP_SRC_DIR)"


clean-sapi:
	@echo Cleaning SAPI
	@for %D in (_x $(EXT_TARGETS)) do @if exist $(BUILD_DIR)\%D @del /F /Q $(BUILD_DIR)\%D > NUL
	@for %D in (_x $(PECL_TARGETS)) do @if exist $(BUILD_DIR)\%D @del /F /Q $(BUILD_DIR)\%D > NUL
	@for %D in (_x $(SAPI_TARGETS)) do @if exist $(BUILD_DIR)\%D @del /F /Q $(BUILD_DIR)\%D > NUL
	-@del /F /Q $(BUILD_DIR)\$(PHPDLL)

clean: clean-sapi
	@echo Cleaning distribution build dirs
	@cd $(BUILD_DIR)
	@for %D in (_x $(BUILD_DIRS_SUB)) do @if exist %D @del /F /Q %D\*.* > NUL
	@cd "$(PHP_SRC_DIR)"
	-@del /F /Q $(BUILD_DIR)\*.res $(BUILD_DIR)\*.manifest $(BUILD_DIR)\*.lib $(BUILD_DIR)\*.ilk $(BUILD_DIR)\*.pdb $(BUILD_DIR)\*.exp $(PHPDEF) $(BUILD_DIR)\php-$(PHP_VERSION_STRING)-Win32.zip $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)-Win32.zip > NUL
	-rd /s /q $(BUILD_DIR)\php-$(PHP_VERSION_STRING)

clean-pecl:
	@echo Cleaning PECL targets only
	-rd /s /q $(BUILD_DIR)\pecl

clean-all:
	@echo Cleaning standard build dirs
	@cd $(BUILD_DIR)
	@for %D in (_x $(BUILD_DIRS_SUB)) do @if exist %D @rd /s /q %D
	@cd "$(PHP_SRC_DIR)"
	-@del /f /q $(BUILD_DIR)\*.res $(BUILD_DIR)\*.lib $(BUILD_DIR)\*.ilk $(BUILD_DIR)\*.pdb $(BUILD_DIR)\*.exp $(PHPDEF) $(BUILD_DIR)\*.rc $(BUILD_DIR)\*.manifest $(BUILD_DIR)\*.dbg $(BUILD_DIR)\*.bin $(BUILD_DIR)\php*.dll $(BUILD_DIR)\php*.exe > NUL

clean-pgo: clean-all
	-rd /s /q $(BUILD_DIR)\php-$(PHP_VERSION_STRING)
	-rd /s /q $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)
	-rd /s /q $(BUILD_DIR)\php-test-pack-$(PHP_VERSION_STRING)
	-del /f /q $(BUILD_DIR)\$(DIST_ZIP_SNAP)
	-del /f /q $(BUILD_DIR)\$(DIST_ZIP_DEBUG_PACK)
	-del /f /q $(BUILD_DIR)\$(DIST_ZIP_PECL)
	-del /f /q $(BUILD_DIR)\$(DIST_ZIP_TEST_PACK)

test_helpers: $(PHP_SRC_DIR)\ext\standard\tests\helpers\bad_cmd.exe

!if $(PHP_TEST_INI_PATH) == ""
test: set-tmp-env
	$(DEBUGGER_CMD) $(DEBUGGER_ARGS) "$(BUILD_DIR)\php.exe" -d open_basedir= -d output_buffering=0 run-tests.php $(TESTS) -p "$(BUILD_DIR)\php.exe"

run: set-tmp-env
	$(DEBUGGER_CMD) $(DEBUGGER_ARGS) "$(BUILD_DIR)\php.exe" $(ARGS)
!else
test: set-tmp-env
	$(DEBUGGER_CMD) $(DEBUGGER_ARGS) "$(BUILD_DIR)\php.exe" -n -d open_basedir= -d output_buffering=0 -d memory_limit=-1 run-tests.php -p "$(BUILD_DIR)\php.exe" -n -c $(PHP_TEST_INI_PATH) $(TESTS)

run: set-tmp-env
	$(DEBUGGER_CMD) $(DEBUGGER_ARGS) "$(BUILD_DIR)\php.exe" -n -c $(PHP_TEST_INI_PATH) $(ARGS)
!endif

build-snap: set-tmp-env generated_files
	@$(MAKE) "$(BUILD_DIR)\$(PHPDLL)"
	-for %T in ($(SAPI_TARGETS)) do $(MAKE) /I /nologo "%T"
	-for %T in ($(EXT_TARGETS)) do $(MAKE) /I /nologo "%T"
	-for %T in ($(PECL_TARGETS)) do $(MAKE) /I /nologo "%T"

build-dist: $(BUILD_DIR)\deplister.exe
	-rd /s /q $(BUILD_DIR)\php-$(PHP_VERSION_STRING)
	-rd /s /q $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)
	-del /f /q $(BUILD_DIR)\$(DIST_ZIP_SNAP)
	-del /f /q $(BUILD_DIR)\$(DIST_ZIP_DEBUG_PACK)
	-del /f /q $(BUILD_DIR)\$(DIST_ZIP_PECL)
	$(PHP_SDK_PHP_CMD) -d date.timezone=UTC -n -dphar.readonly=0 win32/build/mkdist.php "$(PHP_VERSION_STRING)" "$(BUILD_DIR)" "$(PHP_BUILD)" "$(PHPDLL)" "$(SAPI_TARGETS)" "$(EXT_TARGETS) $(PHP_EXTRA_DIST_FILES)" "$(PECL_TARGETS) $(PECL_EXTRA_DIST_FILES)" "$(SNAPSHOT_TEMPLATE)"
	cd $(BUILD_DIR)\php-$(PHP_VERSION_STRING)
	-$(7ZA) a ..\$(DIST_ZIP_SNAP) .
	cd $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)
	-$(7ZA) a ..\$(DIST_ZIP_PECL) .
	cd $(BUILD_DIR)\php-test-pack-$(PHP_VERSION_STRING)
	-$(7ZA) a ..\$(DIST_ZIP_TEST_PACK) .
	cd $(BUILD_DIR)
	-$(7ZA) a $(DIST_ZIP_DEBUG_PACK) *.pdb
	-$(7ZA) a $(DIST_ZIP_DEV_PACK) $(BUILD_DIR_DEV_NAME)
	cd $(BUILD_DIR)

dist: all build-dist
snap: build-snap build-devel build-dist

$(BUILD_DIR)\deplister.exe:	win32\build\deplister.c
	$(CC) /nologo /Fo$(BUILD_DIR)\ /Fd$(BUILD_DIR)\ /Fp$(BUILD_DIR)\ /FR$(BUILD_DIR) /Fe$(BUILD_DIR)\deplister.exe win32\build\deplister.c imagehlp.lib

install: really-install install-sdk

build-lib: build-ext-libs
	@if not exist $(BUILD_DIR_DEV)\lib mkdir $(BUILD_DIR_DEV)\lib >nul
	@copy $(BUILD_DIR)\$(PHPLIB) $(BUILD_DIR_DEV)\lib /y >nul

build-devel: build-headers build-lib
	@if not exist $(BUILD_DIR_DEV)\script mkdir $(BUILD_DIR_DEV)\script >nul
	@if not exist $(BUILD_DIR_DEV)\build mkdir $(BUILD_DIR_DEV)\build >nul
	@copy run-tests.php $(BUILD_DIR_DEV)\script\ /y >nul
	@copy build\gen_stub.php $(BUILD_DIR_DEV)\build\ /y >nul
	@copy win32\build\confutils.js $(BUILD_DIR_DEV)\script\ /y >nul
	@copy win32\build\configure.tail $(BUILD_DIR_DEV)\script\ /y >nul
	@copy win32\build\config.w32.phpize.in $(BUILD_DIR_DEV)\script\ /y >nul
	@copy win32\build\Makefile.phpize $(BUILD_DIR_DEV)\script\ /y >nul
	@copy win32\build\phpize.bat $(BUILD_DIR_DEV)\ /y >nul
	@copy win32\build\template.rc $(BUILD_DIR_DEV)\build\ /y >nul
	@copy win32\build\default.manifest $(BUILD_DIR_DEV)\build\ /y >nul
	@copy $(BUILD_DIR)\devel\config.phpize.js $(BUILD_DIR_DEV)\script\ /y >nul
	@copy $(BUILD_DIR)\devel\phpize.js $(BUILD_DIR_DEV)\script\ /y >nul
	@copy $(BUILD_DIR)\devel\ext_deps.js $(BUILD_DIR_DEV)\script\ /y >nul

install-sdk: build-devel
	@xcopy /Q /Y /E /I $(BUILD_DIR_DEV)\* $(PHP_PREFIX)\SDK

really-install:
	@if not exist $(PHP_PREFIX) mkdir $(PHP_PREFIX)
	@if not exist $(PHP_PREFIX)\ext mkdir $(PHP_PREFIX)\ext
	@echo Installing files under $(PHP_PREFIX)
	@if exist $(BUILD_DIR)\*.exe copy $(BUILD_DIR)\*.exe $(PHP_PREFIX) /y >nul
	@type nul > $(BUILD_DIR)\extension_dlls.txt
	@if exist $(BUILD_DIR)\php_*.dll copy $(BUILD_DIR)\php_*.dll $(PHP_PREFIX)\ext /y >nul & dir /b $(BUILD_DIR)\php_*.dll > $(BUILD_DIR)\extension_dlls.txt
	@xcopy $(BUILD_DIR)\*.dll /exclude:$(BUILD_DIR)\extension_dlls.txt $(PHP_PREFIX) /y >nul

=== debian/changelog ===
php8.4 (8.4.11-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110455). Remaining changes:
    - d/rules: enable DTrace (LP #2088977)
    - d/rules: set PHP_BUILD_PROVIDER to Ubuntu in Ubuntu builds

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 12 Aug 2025 22:43:48 -0300

php8.4 (8.4.11-1) unstable; urgency=medium

  * New upstream version 8.4.11

 -- Ondřej Surý <ondrej@debian.org>  Sun, 03 Aug 2025 09:32:21 +0200

php8.4 (8.4.8-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110455). Remaining changes:
    - d/rules: enable DTrace (LP #2088977)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Wed, 25 Jun 2025 16:35:06 -0300

php8.4 (8.4.5-1ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 10:04:49 +0200

=== debian/control ===
Source: php8.4
Section: php
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
           Lior Kaplan <kaplan@debian.org>
Build-Depends: apache2-bin (>= 2.4),
               apache2-dev (>= 2.4),
               autoconf (>= 2.63),
               automake,
               bison,
               chrpath,
               debhelper (>= 9.20160709~),
               default-libmysqlclient-dev | libmysqlclient-dev,
               dh-apache2,
               dpkg-dev (>= 1.16.1~),
               firebird-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.5-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.1-dev [!hurd-any !m68k !hppa !ppc64],
               flex,
               freetds-dev,
               libacl1-dev,
               libapparmor-dev [linux-any],
               libapr1-dev (>= 1.2.7-8),
               libargon2-dev | libargon2-0-dev,
               libbz2-dev,
               libcurl4-openssl-dev | libcurl-dev,
               libdb-dev,
               libedit-dev (>= 2.11-20080614-4),
               libenchant-2-dev | libenchant-dev,
               libevent-dev (>= 1.4.11),
               libexpat1-dev (>= 1.95.2-2.1),
               libffi-dev,
               libfreetype6-dev,
               libgcrypt20-dev (>> 1.6.3) | libgcrypt11-dev (<< 1.5.4),
               libgd-dev (>= 2.1.0) | libgd2-dev,
               libglib2.0-dev,
               libgmp3-dev,
               libicu-dev (>= 50.1),
               libjpeg-dev | libjpeg62-dev,
               libkrb5-dev,
               libldap2-dev,
               liblmdb-dev,
               libmagic-dev,
               libmhash-dev (>= 0.8.8),
               libnss-myhostname [linux-any],
               libonig-dev,
               libpam0g-dev,
               libpcre2-dev (>= 10.30),
               libpng-dev,
               libpq-dev (>= 10.0),
               libqdbm-dev,
               libsasl2-dev,
               libsnmp-dev,
               libsodium-dev,
               libsqlite3-dev (>= 3.7.7),
               libssl-dev (>= 1.1.1),
               libsystemd-dev [linux-any],
               libtidy-dev (>= 1:5.2.0),
               libtool (>= 2.2),
               libwebp-dev,
               libwrap0-dev,
               libxml2-dev (>= 2.9.4),
               libxslt1-dev (>= 1.0.18),
               libzip-dev (>= 1.0.0),
               locales-all | language-pack-de,
               netbase,
               netcat-openbsd,
               re2c,
               systemtap-sdt-dev,
               tzdata,
               unixodbc-dev,
               zlib1g-dev (>= 1.2.11)
Build-Conflicts: bind-dev,
                 libxmlrpc-core-c3-dev
Standards-Version: 4.5.0.0
Vcs-Git: https://salsa.debian.org/php-team/php.git -b debian/main/8.4
Vcs-Browser: https://salsa.debian.org/php-team/php/-/tree/debian/main/8.4
Homepage: http://www.php.net/

Package: libapache2-mod-php8.4
Section: httpd
Architecture: any
Depends: media-types | mime-support,
         php8.4-cli,
         php8.4-common (= ${binary:Version}),
         php8.4-opcache,
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: libapache2-mod-php,
          php-json,
          php8.4-json,
          ${php:Provides}
Recommends: apache2
Suggests: php-pear
Description: server-side, HTML-embedded scripting language (Apache 2 module)
 This package provides the PHP module for the Apache 2 webserver (as
 found in the apache2-mpm-prefork package).  Please note that this package
 ONLY works with Apache's prefork MPM, as it is not compiled thread-safe.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: libphp8.4-embed
Architecture: any
Depends: media-types | mime-support,
         php8.4-cli,
         php8.4-common (= ${binary:Version}),
         php8.4-opcache,
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: libphp-embed,
          php-json,
          php8.4-json,
          ${php:Provides}
Suggests: php-pear
Description: HTML-embedded scripting language (Embedded SAPI library)
 This package provides the library /usr/lib/libphp8.4.so which can
 be used by application developers to embed PHP scripting functionality.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.
 .
 WARNING: The embed SAPI is experimental and there's no guarantee that
 the API/ABI will be kept compatible even between minor releases.  You
 have been warned.

Package: php8.4
Architecture: all
Depends: libapache2-mod-php8.4 | php8.4-fpm | php8.4-cgi,
         php8.4-common,
         ${misc:Depends}
Provides: php
Description: server-side, HTML-embedded scripting language (metapackage)
 This package is a metapackage that, when installed, guarantees that you
 have at least one of the four server-side versions of the PHP interpreter
 installed. Removing this package won't remove PHP from your system, however
 it may remove other packages that depend on this one.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php8.4-cgi
Architecture: any
Depends: media-types | mime-support,
         php8.4-cli,
         php8.4-common (= ${binary:Version}),
         php8.4-opcache,
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: php-cgi,
          php-json,
          php8.4-json,
          ${php:Provides}
Suggests: php-pear
Description: server-side, HTML-embedded scripting language (CGI binary)
 This package provides the /usr/lib/cgi-bin/php CGI interpreter built
 for use in Apache 2 with mod_actions, or any other CGI httpd that
 supports a similar mechanism.  Note that MOST users probably
 want the php8.4-fpm package.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php8.4-cli
Architecture: any
Depends: libedit2 (>= 2.11-20080614-4),
         media-types | mime-support,
         php8.4-common (= ${binary:Version}),
         php8.4-opcache,
         php8.4-readline,
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: php-cli,
          php-json,
          php8.4-json,
          ${php:Provides}
Suggests: php-pear
Description: command-line interpreter for the PHP scripting language
 This package provides the /usr/bin/php8.4 command interpreter, useful for
 testing PHP scripts from a shell or performing general shell scripting tasks.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php8.4-dev
Depends: autoconf (>= 2.63),
         automake (>= 1.11),
         libpcre2-dev (>= 10.30),
         libssl-dev,
         php8.4-cli (>= ${binary:Version}),
         php8.4-common (= ${binary:Version}),
         pkg-config,
         shtool,
         ${libtool:Depends},
         ${misc:Depends},
         ${perl:Depends}
Conflicts: ${libtool:Conflicts}
Architecture: any
Recommends: pkg-php-tools
Suggests: dh-php
Description: Files for PHP8.4 module development
 This package provides the files from the PHP8.4 source needed for compiling
 additional modules.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php8.4-fpm
Architecture: any
Depends: media-types | mime-support,
         php8.4-cli,
         php8.4-common (= ${binary:Version}),
         php8.4-opcache,
         procps,
         systemd | systemd-tmpfiles,
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: php-fpm,
          php-json,
          php8.4-json,
          ${php:Provides}
Suggests: php-pear
Pre-Depends: ${misc:Pre-Depends}
Description: server-side, HTML-embedded scripting language (FPM-CGI binary)
 This package provides the Fast Process Manager interpreter that runs
 as a daemon and receives Fast/CGI requests.  Note that MOST Apache users
 probably want the libapache2-mod-php8.4 package.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php8.4-phpdbg
Architecture: any
Depends: media-types | mime-support,
         php8.4-cli,
         php8.4-common (= ${binary:Version}),
         php8.4-opcache,
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: php-json,
          php-phpdbg,
          php8.4-json,
          ${php:Provides}
Recommends: php-readline
Description: server-side, HTML-embedded scripting language (PHPDBG binary)
 This package provides the /usr/bin/phpdbg command interpreter, useful for
 stepthrough debugging of PHP code.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php8.4-xsl
Architecture: all
Depends: php8.4-common,
         php8.4-xml,
         ${misc:Depends}
Description: XSL module for PHP (dummy)
 This package is a transitional dummy package and can be safely
 removed.

Package: php8.4-bcmath
Architecture: any
Depends: php-common (>= 2:95~),
         ucf,
         ${misc:Depends},
         ${php:Depends},
	 ${php-bcmath:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends},
	     ${php-bcmath:Pre-Depends}
Built-Using: ${php:Built-Using}
Replaces: ${php-bcmath:Replaces}
Breaks: ${php-bcmath:Breaks}
Conflicts: ${php-bcmath:Conflicts}
Provides: ${php-bcmath:Provides}
Recommends: ${php-bcmath:Recommends}
Description: Bcmath module for PHP
 This package provides the Bcmath module(s) for PHP.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php8.4-bz2
Architecture: any
Depends: php-common (>= 2:95~),
         ucf,
         ${misc:Depends},
         ${php:Depends},
	 ${php-bz2:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends},
	     ${php-bz2:Pre-Depends}
Built-Using: ${php:Built-Using}
Replaces: ${php-bz2:Replaces}
Breaks: ${php-bz2:Breaks}
Conflicts: ${php-bz2:Conflicts}
Provides: ${php-bz2:Provides}
Recommends: ${php-bz2:Recommends}
Description: bzip2 module for PHP
 This package provides the bzip2 module(s) for PHP.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php8.4-common
Architecture: any
Depends: php-common (>= 2:95~),
         ucf,
         ${misc:Depends},
         ${php:Depends},
	 ${php-common:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends},
	     ${php-common:Pre-Depends}
Built-Using: ${php:Built-Using}
Replaces: ${php-common:Replaces}
Breaks: ${php-common:Breaks}
Conflicts: ${php-common:Conflicts}
Provides: ${php-common:Provides}
Recommends: ${php-common:Recommends}

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Hardcode correct absolute path to sed
export ac_cv_path_SED = $(shell command -v sed)

SANE_ARCHS := amd64 i386 arm64

# Enable parallel builds
PARALLEL=--parallel

# Enable this for debugging the sed scripts
#SED=$(CURDIR)/debian/sedsed
export SED := /bin/sed

# Make the shell scripts fail after first failed command (important for SAPI loops)
SHELL := /bin/sh -e

# enable dpkg build flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
export PHP_BUILD_PROVIDER ?= Ubuntu
else
export PHP_BUILD_PROVIDER ?= Debian
endif

export DEB_HOST_MULTIARCH
PHP_SOURCE_VERSION   := $(DEB_VERSION)
PHP_UPSTREAM_VERSION := $(DEB_VERSION_UPSTREAM)
PHP_DEBIAN_REVISION  := $(shell echo $(PHP_SOURCE_VERSION) | $(SED) -e 's/.*-//')
PHP_DFSG_VERSION     := $(shell echo $(PHP_UPSTREAM_VERSION) | $(SED) -e 's/+.*//')
PHP_MAJOR_VERSION    := $(shell echo $(PHP_DFSG_VERSION) | awk -F. '{print $$1}')
PHP_MINOR_VERSION    := $(shell echo $(PHP_DFSG_VERSION) | awk -F. '{print $$2}')
PHP_RELEASE_VERSION  := $(shell echo $(PHP_DFSG_VERSION) | awk -F. '{print $$3}')

ICU_VERSION := $(shell dpkg -s libicu-dev | sed -ne 's/^Version: \(.*\)$$/\1/p')

ifeq ($(shell dpkg --compare-versions $(ICU_VERSION) ge 75;echo $$?),0)
export ICU_CXXFLAGS := -std=c++17
else
export ICU_CXXFLAGS := -std=c++11
endif

# Enable ZTS build if $(DEB_SOURCE) ends with -zts
ZTS=$(shell echo $(DEB_SOURCE) | sed 's/php$(PHP_MAJOR_VERSION).$(PHP_MINOR_VERSION)//')
ifeq ($(ZTS),-zts)
$(warning Enabling ZTS build)
CONFIGURE_ZTS        := --enable-maintainer-zts
endif

PHP_NAME_VERSION     := $(PHP_MAJOR_VERSION).$(PHP_MINOR_VERSION)$(ZTS)
PHP_ZEND_VERSION     := $(shell $(SED) -ne 's/\#define ZEND_MODULE_API_NO //p' Zend/zend_modules.h)$(ZTS)

ifneq ($(DEB_SOURCE),php$(PHP_NAME_VERSION))
$(error $(DEB_SOURCE) != php$(PHP_NAME_VERSION))
endif
REAL_TARGETS         := apache2 phpdbg embed fpm cgi cli
EXTRA_TARGETS        := ext
TARGETS              := $(EXTRA_TARGETS) $(REAL_TARGETS)

# Special package names
PHP_PHP      := php$(PHP_NAME_VERSION)
PHP_COMMON   := php$(PHP_NAME_VERSION)-common
PHP_FPM      := php$(PHP_NAME_VERSION)-fpm
PHP_LIBEMBED := libphp$(PHP_NAME_VERSION)-embed
PHP_DEV      := php$(PHP_NAME_VERSION)-dev
PHP_APACHE2  := libapache2-mod-php$(PHP_NAME_VERSION)
PHP_CGI      := php$(PHP_NAME_VERSION)-cgi
PHP_CLI      := php$(PHP_NAME_VERSION)-cli
PHP_PHPDBG   := php$(PHP_NAME_VERSION)-phpdbg

# Generic commands

SED_VARIABLES := \
	$(SED) -e "s,@sapi@,$${sapi},g"				|\
	$(SED) -e "s,@package@,$${package},g"			|\
	$(SED) -e "s,@extensions@,$${extensions},g"		|\
	$(SED) -e "s,@module@,$${module},g"			|\
	$(SED) -e "s,@extdir@,$${extdir},g"			|\
	$(SED) -e "s,@priority@,$${priority},g"			|\
	$(SED) -e "s,@PHP_VERSION@,$(PHP_NAME_VERSION),g"	|\
	$(SED) -e "s,@PHP_MAJOR@,$(PHP_MAJOR_VERSION),g"	|\
	$(SED) -e "s,@PHP_MINOR@,$(PHP_MINOR_VERSION),g"	|\
	$(SED) -e "s,@PHP_RELEASE@,$(PHP_RELEASE_VERSION),g"	|\
	$(SED) -e "s,@PHP_API@,$(PHP_ZEND_VERSION),g"

SED_REPLACEMENT := $(SED) -e "/\#EXTRA\#/ r debian/$${versionless}.$${tmpl}.extra" | $(SED_VARIABLES) | $(SED) -e '/\#EXTRA\#/ d'

SAPI_PACKAGE := \
	case $${sapi} in \
	  embed)         package=$(PHP_LIBEMBED); source=libphp-$${sapi} ;; \
	  apache2)       package=$(PHP_APACHE2); source=libapache2-mod-php ;; \
	  *)             package=php$(PHP_NAME_VERSION)-$${sapi}; source=php-$${sapi} ;; \
	esac; \
	versionless=$$(echo $${package} | $(SED) -e 's/$(PHP_NAME_VERSION)//g');

MODULE_PACKAGE := \
	package=php$(PHP_NAME_VERSION)-$${module}; \
	versionless=$$(echo $${package} | $(SED) -e 's/$(PHP_NAME_VERSION)//g');

LIBTOOL_VERSION := $(shell dpkg-query -f'$${Version}' -W libtool)

# Disable the test now
RUN_TESTS := yes
ifeq (nocheck,$(filter nocheck,$(DEB_BUILD_PROFILES)))
  $(warning Disabling tests due DEB_BUILD_PROFILES)
  DEB_BUILD_OPTIONS += nocheck
  RUN_TESTS := no
else
  ifeq (nocheck,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
    $(warning Disabling tests due DEB_BUILD_OPTIONS)
    RUN_TESTS := no
  endif
endif
ifeq (,$(filter $(DEB_HOST_ARCH),$(SANE_ARCHS)))
  $(warning Disabling checks on $(DEB_HOST_ARCH))
  RUN_TESTS := no
endif

CONFIGURE_PCRE_JIT :=
ifeq (,$(filter $(DEB_HOST_ARCH),$(SANE_ARCHS)))
  CONFIGURE_PCRE_JIT := --without-pcre-jit
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
  CONFIGURE_SYSTEMD := --with-fpm-systemd
  CONFIGURE_APPARMOR := --with-fpm-apparmor
endif

# specify some options to our patch system
QUILT_DIFF_OPTS := -p
QUILT_NO_DIFF_TIMESTAMPS := 1
export QUILT_DIFF_OPTS QUILT_NO_DIFF_TIMESTAMPS

export PROG_SENDMAIL := /usr/sbin/sendmail
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  DEB_CFLAGS_MAINT_APPEND += -O2
else
  DEB_CFLAGS_MAINT_APPEND += -O0
endif
DEB_CFLAGS_MAINT_APPEND += -Wall -pedantic -fsigned-char -fno-strict-aliasing 
DEB_CFLAGS_MAINT_APPEND += $(shell getconf LFS_CFLAGS)

# OpenSSL 3.0 support
DEB_CFLAGS_MAINT_APPEND += -DOPENSSL_SUPPRESS_DEPRECATED

# Enable IEEE-conformant floating point math on alphas (not the default)
ifeq (alpha-linux-gnu,$(DEB_HOST_GNU_TYPE))
  DEB_CFLAGS_MAINT_APPEND += -mieee
endif

ifeq (arm-linux-gnueabihf,$(DEB_HOST_GNU_TYPE))
  DEB_CFLAGS_MAINT_APPEND += -mfpu=vfpv3-d16
endif

# Enable producing of debugging information
DEB_CFLAGS_MAINT_APPEND += -g

DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_CFLAGS_MAINT_APPEND
export DEB_LDFLAGS_MAINT_APPEND

# some other helpful (for readability at least) shorthand variables
PHPIZE_BUILDDIR := /usr/lib/php/$(PHP_ZEND_VERSION)/build/

COMMON_CONFIG := \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--host=$(DEB_HOST_GNU_TYPE) \
		--config-cache --cache-file=$(CURDIR)/config.cache \
		--libdir=\$${prefix}/lib/php \
		--libexecdir=\$${prefix}/lib/php \
		--datadir=\$${prefix}/share/php/$(PHP_NAME_VERSION) \
		--program-suffix=$(PHP_NAME_VERSION) \
		--sysconfdir=/etc \
		--localstatedir=/var \
		--mandir=/usr/share/man \
		--disable-all \
		--disable-debug \
		--disable-rpath \
		--disable-static \
		--enable-dtrace \
		--with-pic \
		--with-layout=GNU \
		--without-pear \
		--enable-filter \
		--with-openssl \
		--with-password-argon2=/usr \
		--with-external-pcre \
		--enable-hash \
		  --with-mhash=/usr \
		--with-libxml \
		--enable-session \
		--with-sodium \
		--with-system-tzdata \
		--with-zlib=/usr \
		  --with-zlib-dir=/usr \
		$(CONFIGURE_ZTS) \
		$(CONFIGURE_PCRE_JIT)

# disable all SAPIs in extension build
export ext_config = \
		--prefix=/usr --enable-cli --disable-cgi --disable-phpdbg \
		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/apache2 \
		--with-config-file-scan-dir=/etc/php/$(PHP_NAME_VERSION)/apache2/conf.d \
		$(COMMON_CONFIG)

export apache2_config = \
		--prefix=/usr --with-apxs2=/usr/bin/apxs2 --enable-cli --disable-cgi --disable-phpdbg \
		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/apache2 \
		--with-config-file-scan-dir=/etc/php/$(PHP_NAME_VERSION)/apache2/conf.d \
		$(COMMON_CONFIG)

export cgi_config = \
		--prefix=/usr --enable-cgi --enable-cli --disable-phpdbg \
		--enable-force-cgi-redirect --enable-fastcgi \
		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/cgi \
		--with-config-file-scan-dir=/etc/php/$(PHP_NAME_VERSION)/cgi/conf.d \
		$(COMMON_CONFIG) \
		--enable-pcntl

export cli_config = \
		--prefix=/usr --enable-cli --disable-cgi --disable-phpdbg \
		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/cli \
		--with-config-file-scan-dir=/etc/php/$(PHP_NAME_VERSION)/cli/conf.d \
		$(COMMON_CONFIG) \
		--enable-pcntl \
		--with-libedit=shared,/usr

export embed_config = \
		--prefix=/usr --enable-embed --enable-cli --disable-cgi --disable-phpdbg \
		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/embed \
		--with-config-file-scan-dir=/etc/php/$(PHP_NAME_VERSION)/embed/conf.d \

=== debian/tests/control ===
Tests: cli
Depends: php8.4-cli,
         wget

Tests: cgi
Depends: apache2,
         php8.4-cgi,
         wget
Restrictions: needs-root

Tests: mod-php
Depends: apache2,
         libapache2-mod-php8.4,
          wget
Restrictions: needs-root

Tests: fpm
Depends: apache2,
         php8.4-fpm,
         wget
Restrictions: needs-root

## php8.4 8.4.12

=== debian/changelog ===
php8.4 (8.4.12-3+devuan4~1) chimaera; urgency=medium

  * Resync with upstream version 8.4.12
  * Repack for devuan

 -- TDR Networks Builder <builder@tdrnetworks.com>  Wed, 17 Sep 2025 12:06:00 +0000

php8.4 (8.4.2-1+devuan4~1) chimaera; urgency=medium

  * First upstream version 8.4.2
  * Repack for devuan

 -- TDR Networks Builder <builder@tdrnetworks.com>  Fri, 10 Jan 2025 16:29:00 +0000

php8.4 (8.4.2-1+0~20241225.21+debian11~1.gbp593a82) unstable; urgency=medium

  ** SNAPSHOT build @593a82d81cdadf918c9a025643eb8d970359e3ad **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Wed, 25 Dec 2024 14:41:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: php8.4
 Section: php
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
+Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Lior Kaplan <kaplan@debian.org>
 Build-Depends: apache2-bin (>= 2.4),
@@ -12,7 +11,7 @@
                bison,
                chrpath,
                debhelper (>= 9.20160709~),
-               default-libmysqlclient-dev | libmysqlclient-dev,
+               default-libmysqlclient-dev | libmysqlclient-dev | libmariadb-dev,
                dh-apache2,
                dpkg-dev (>= 1.16.1~),
                firebird-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.5-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.1-dev [!hurd-any !m68k !hppa !ppc64],
@@ -54,12 +53,12 @@
                libsodium-dev,
                libsqlite3-dev (>= 3.7.7),
                libssl-dev (>= 1.1.1),
-               libsystemd-dev [linux-any],
                libtidy-dev (>= 1:5.2.0),
                libtool (>= 2.2),
                libwebp-dev,
                libwrap0-dev,
                libxml2-dev (>= 2.9.4),
+               libxmltok1-dev,
                libxslt1-dev (>= 1.0.18),
                libzip-dev (>= 1.0.0),
                locales-all | language-pack-de,
@@ -234,7 +233,6 @@
          php8.4-common (= ${binary:Version}),
          php8.4-opcache,
          procps,
-         systemd | systemd-tmpfiles,
          tzdata,
          ucf,
          ${misc:Depends},
@@ -352,3 +350,4 @@
 Conflicts: ${php-common:Conflicts}
 Provides: ${php-common:Provides}
 Recommends: ${php-common:Recommends}
+Description: documentation, examples and common module for PHP

=== debian/rules ===
--- 
+++ 
@@ -25,12 +25,6 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
-
-ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
-export PHP_BUILD_PROVIDER ?= Ubuntu
-else
-export PHP_BUILD_PROVIDER ?= Debian
-endif
 
 export DEB_HOST_MULTIARCH
 PHP_SOURCE_VERSION   := $(DEB_VERSION)
@@ -40,14 +34,6 @@
 PHP_MAJOR_VERSION    := $(shell echo $(PHP_DFSG_VERSION) | awk -F. '{print $$1}')
 PHP_MINOR_VERSION    := $(shell echo $(PHP_DFSG_VERSION) | awk -F. '{print $$2}')
 PHP_RELEASE_VERSION  := $(shell echo $(PHP_DFSG_VERSION) | awk -F. '{print $$3}')
-
-ICU_VERSION := $(shell dpkg -s libicu-dev | sed -ne 's/^Version: \(.*\)$$/\1/p')
-
-ifeq ($(shell dpkg --compare-versions $(ICU_VERSION) ge 75;echo $$?),0)
-export ICU_CXXFLAGS := -std=c++17
-else
-export ICU_CXXFLAGS := -std=c++11
-endif
 
 # Enable ZTS build if $(DEB_SOURCE) ends with -zts
 ZTS=$(shell echo $(DEB_SOURCE) | sed 's/php$(PHP_MAJOR_VERSION).$(PHP_MINOR_VERSION)//')
@@ -131,7 +117,6 @@
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-  CONFIGURE_SYSTEMD := --with-fpm-systemd
   CONFIGURE_APPARMOR := --with-fpm-apparmor
 endif
 
@@ -187,7 +172,7 @@
 		--disable-debug \
 		--disable-rpath \
 		--disable-static \
-		--enable-dtrace \
+		--disable-dtrace \
 		--with-pic \
 		--with-layout=GNU \
 		--without-pear \
@@ -239,3 +224,14 @@
 		--prefix=/usr --enable-embed --enable-cli --disable-cgi --disable-phpdbg \
 		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/embed \
 		--with-config-file-scan-dir=/etc/php/$(PHP_NAME_VERSION)/embed/conf.d \
+		$(COMMON_CONFIG) \
+		--without-mm \
+		--enable-pcntl
+
+export fpm_config = \
+		--prefix=/usr --enable-fpm --enable-cli --disable-cgi --disable-phpdbg \
+		--sysconfdir=/etc/php/$(PHP_NAME_VERSION)/fpm \
+		--with-fpm-user=www-data --with-fpm-group=www-data \
+		--with-fpm-acl \
+		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/fpm \
+		--with-config-file-scan-dir=/etc/php/$(PHP_NAME_VERSION)/fpm/conf.d \

## php8.4 8.4.15

=== debian/changelog ===
php8.4 (8.4.15-1+0~20251120.38+debian11~1.gbp1e3f4c) unstable; urgency=medium

  ** SNAPSHOT build @1e3f4cac5096444fe6cf0a238d60ebce16a63169 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Thu, 20 Nov 2025 20:02:10 +0100

php8.4 (8.4.15-1) unstable; urgency=medium

  * New upstream version 8.4.15

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Nov 2025 18:38:19 +0100

php8.4 (8.4.14-3) unstable; urgency=medium

  * Or just use /bin/sed; that should work everywhere

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Nov 2025 10:26:56 +0100

php8.4 (8.4.14-2) unstable; urgency=medium

  * Use command -v sed to resolve path to SED
  * Workaround make $(shell ...) command unable to execute builtins

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Nov 2025 08:56:23 +0100

php8.4 (8.4.14-1) unstable; urgency=medium

  * New upstream version 8.4.14

 -- Ondřej Surý <ondrej@debian.org>  Mon, 27 Oct 2025 21:51:18 +0100

php8.4 (8.4.13-1) unstable; urgency=medium

  * New upstream version 8.4.13

 -- Ondřej Surý <ondrej@debian.org>  Wed, 01 Oct 2025 22:14:35 +0200

php8.4 (8.4.12-1) unstable; urgency=medium

  * New upstream version 8.4.12

 -- Ondřej Surý <ondrej@debian.org>  Fri, 29 Aug 2025 08:10:15 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,25 +6,24 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
+# Make the shell scripts fail after first failed command (important for SAPI loops)
+SHELL := /bin/sh -e
+
 # Hardcode correct absolute path to sed
-export ac_cv_path_SED = $(shell command -v sed)
+export ac_cv_path_SED := /bin/sed
+export SED := /bin/sed
 
 SANE_ARCHS := amd64 i386 arm64
 
 # Enable parallel builds
 PARALLEL=--parallel
-
-# Enable this for debugging the sed scripts
-#SED=$(CURDIR)/debian/sedsed
-export SED := /bin/sed
-
-# Make the shell scripts fail after first failed command (important for SAPI loops)
-SHELL := /bin/sh -e
 
 # enable dpkg build flags
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+
+export PHP_BUILD_PROVIDER ?= Debian
 
 export DEB_HOST_MULTIARCH
 PHP_SOURCE_VERSION   := $(DEB_VERSION)
@@ -34,6 +33,14 @@
 PHP_MAJOR_VERSION    := $(shell echo $(PHP_DFSG_VERSION) | awk -F. '{print $$1}')
 PHP_MINOR_VERSION    := $(shell echo $(PHP_DFSG_VERSION) | awk -F. '{print $$2}')
 PHP_RELEASE_VERSION  := $(shell echo $(PHP_DFSG_VERSION) | awk -F. '{print $$3}')
+
+ICU_VERSION := $(shell dpkg -s libicu-dev | $(SED) -ne 's/^Version: \(.*\)$$/\1/p')
+
+ifeq ($(shell dpkg --compare-versions $(ICU_VERSION) ge 75;echo $$?),0)
+export ICU_CXXFLAGS := -std=c++17
+else
+export ICU_CXXFLAGS := -std=c++11
+endif
 
 # Enable ZTS build if $(DEB_SOURCE) ends with -zts
 ZTS=$(shell echo $(DEB_SOURCE) | sed 's/php$(PHP_MAJOR_VERSION).$(PHP_MINOR_VERSION)//')
@@ -117,6 +124,7 @@
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
+  CONFIGURE_SYSTEMD := --with-fpm-systemd
   CONFIGURE_APPARMOR := --with-fpm-apparmor
 endif
 
@@ -230,8 +238,3 @@
 
 export fpm_config = \
 		--prefix=/usr --enable-fpm --enable-cli --disable-cgi --disable-phpdbg \
-		--sysconfdir=/etc/php/$(PHP_NAME_VERSION)/fpm \
-		--with-fpm-user=www-data --with-fpm-group=www-data \
-		--with-fpm-acl \
-		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/fpm \
-		--with-config-file-scan-dir=/etc/php/$(PHP_NAME_VERSION)/fpm/conf.d \
